ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

SPARC.Ppr

Contents

- Orphan instances

Synopsis

- pprNatCmmDecl :: NatCmmDecl CmmStatics Instr -> SDoc
- pprBasicBlock :: BlockEnv CmmStatics -> NatBasicBlock Instr -> SDoc
- pprData :: CmmStatic -> SDoc
- pprInstr :: Instr -> SDoc
- pprFormat :: Format -> SDoc
- pprImm :: Imm -> SDoc
- pprDataItem :: CmmLit -> SDoc

# Documentation

pprNatCmmDecl :: NatCmmDecl CmmStatics Instr -> SDoc Source #

pprBasicBlock :: BlockEnv CmmStatics -> NatBasicBlock Instr -> SDoc Source #

pprData :: CmmStatic -> SDoc Source #

pprInstr :: Instr -> SDoc Source #

Pretty print an instruction.

pprFormat :: Format -> SDoc Source #

Pretty print a format for an instruction suffix.

pprImm :: Imm -> SDoc Source #

Pretty print an immediate value.

pprDataItem :: CmmLit -> SDoc Source #

Pretty print a data item.

# Orphan instances

Outputable Instr # |
Methods ppr :: Instr -> SDoc Source # pprPrec :: Rational -> Instr -> SDoc Source #